Field NationDeveloper Platform
Field NationDeveloper Platform
Overview
List Delivery Logs GETGet Delivery Log Details GETRetry Delivery Log PATCH
Delivery Logs

List Delivery Logs


Retrieve a paginated list of webhook delivery attempts, including successful deliveries, failures, and retries. Filter results by webhook ID, work order ID, event name, or delivery status to monitor reliability and troubleshoot issues.

GET
/api/v1/webhooks/delivery-logs

Authorization

bearer
AuthorizationBearer <token>

Standard HTTP Bearer authentication using JWT. Provide your API key in the Authorization header as 'Bearer '.

In: header

Query Parameters

sortDirection?string

Sort direction for the results. Use 'ASC' for ascending order or 'DESC' for descending order. Default is 'DESC'.

sortBy?string

Sort by fields is: deliveryId, webhookId, workOrderId, eventName, deliveryStatus, createdAt, default sort by is: createdAt

page?number

Page number for pagination. Starts at 1. Default is 1.

perPage?number

Number of delivery log items to return per page. Default is 50 items. Maximum is 500 items per page.

search?string

Search query string to filter results. Supports searching across relevant fields such as webhook ID, event names, or other searchable attributes.

fields?array<>

Array of field names to include in the response. Only specified fields will be returned. Default includes: deliveryId, webhookId, workOrderId, eventName, deliveryStatus, deliveryAttempt, createdAt.

deliveryId?string

Unique identifier of a specific delivery attempt. Use this to filter delivery logs or retrieve details for a specific delivery.

webhookId?string

Unique identifier of the webhook to filter by. Use this to find a specific webhook or filter delivery logs by webhook.

workOrderId?number

Filter delivery logs by the associated work order identifier. Use this to see all webhook deliveries related to a specific work order.

eventName?string

Filter delivery logs by the webhook event name (e.g., 'workorder.created', 'workorder.status.published'). Use this to see all deliveries for a specific event type.

deliveryStatus?string

Filter delivery logs by HTTP status code returned from your endpoint. Use this to find failed deliveries (non-2xx status codes) or successful deliveries (2xx status codes).

curl -X GET "https://api-sandbox.fndev.net/api/v1/webhooks/delivery-logs?sortDirection=string&sortBy=string&page=0&perPage=0&search=string&fields=string&deliveryId=string&webhookId=string&workOrderId=0&eventName=string&deliveryStatus=string"
{
  "metadata": {
    "timestamp": "2019-08-24T14:15:22Z",
    "query": {
      "sortDirection": "string",
      "sortBy": "string",
      "page": 0,
      "perPage": 0,
      "search": "string",
      "fields": [
        "string"
      ],
      "deliveryId": "string",
      "webhookId": "string",
      "workOrderId": 0,
      "eventName": "string",
      "deliveryStatus": "string"
    }
  },
  "result": [
    {
      "deliveryId": "string",
      "webhookId": "string",
      "eventName": "string",
      "deliveryStatus": 0,
      "deliveryAttempt": 0,
      "createdAt": "string"
    }
  ]
}
{
  "metadata": {
    "timestamp": "2019-08-24T14:15:22Z",
    "path": "string"
  },
  "errors": [
    {
      "code": 0,
      "message": "string"
    }
  ],
  "result": {}
}
{
  "metadata": {
    "timestamp": "2019-08-24T14:15:22Z",
    "path": "string"
  },
  "errors": [
    {
      "code": 0,
      "message": "string"
    }
  ],
  "result": {}
}
{
  "metadata": {
    "timestamp": "2019-08-24T14:15:22Z",
    "path": "string"
  },
  "errors": [
    {
      "code": 0,
      "message": "string"
    }
  ],
  "result": {}
}

Response Body

application/json

application/json

application/json

application/json

Last updated on

List Webhook Events GET

Previous Page

Get Delivery Log Details GET

Next Page

curl -X GET "https://api-sandbox.fndev.net/api/v1/webhooks/delivery-logs?sortDirection=string&sortBy=string&page=0&perPage=0&search=string&fields=string&deliveryId=string&webhookId=string&workOrderId=0&eventName=string&deliveryStatus=string"